/* declaracoes de contruni.cc */



class CControleUniverso : CControleSolido {

public:

   CControleUniverso ();
   CControleUniverso ( CUniverso& oU ) : CControleSolido ( (CSolido&) oU )
   {
      m_poU = &oU;
   }

protected:

   CUniverso* m_poU;       // universo que serah manipulado

   CTransf m_oTransf;      // transformacoes geometricas sobre o modelo

public:

   void   mAtrObjeto ( CUniverso& oU );
   void   mRetMeio ( UINT16 uParte, INT& nXM, INT& nYM, INT& nZM );
   void   mEscalaMed ( float fEX, float fEY, float fEZ, CUniverso& oU, UINT16 uParte = 0 );
   UINT16 mRetParticao ( UINT16 uPeca );
   UINT16 mRetPol1 ( UINT16 uPeca );
};


