/* Declaracoes de gr.cc
Composicao dos nomes de funcoes graficas:
m - metodo
Atr - atribuicao de valor
Ret - retorno de valor
Vd - acesso direto ao video
Vr - acesso a memoria virtual de video
?? - outros strings especificos
Sinc - com "WaitRetrace"
Sintaxe: m + Atr/Ret + para onde + de onde ou oque + ?? + com "WaitRetrace"
*/



class CGr : public CGrVd {

public:

   CGr ( BOOL bInicGr = TRUE ) : CGrVd ( bInicGr )
   {
      // verifica se deve entrar em modo grafico e reprogramar palette
      if ( m_bInicGrVd == TRUE ) {

         // tenta alocar memoria para memoria virtual 0, se nao conseguir sai
         if ( ( m_payVr [ 0 ] = new BYTE [ TAMVR ] ) == NULL ) {
            printf ( MSG_SEMMEMORIA );
            exit ( 1 );
         }

         // tenta alocar memoria para memoria virtual 1, se nao conseguir sai
         if ( ( m_payVr [ 1 ] = new BYTE [ TAMVR ] ) == NULL ) {
            delete m_payVr [ 0 ];
            m_payVr [ 0 ] == NULL;
            printf ( MSG_SEMMEMORIA );
            exit ( 1 );
         }

         // inicia com a memoria virtual 0 ativa
         m_nVrAtiva = 0;
         mAtrVrCor ( 0 );
      }
   }
   ~CGr ();

private:

   BYTE *m_payVr [ 2 ];    // aponta para memorias virtuais de video
   INT  m_nVrAtiva;        // qual a memoria virtual que estah em uso (ativa)
   void mVrSincRetraco ();

public:

   void mAtrVrCor ( BYTE yCor );
   void mAtrVrPixel ( INT nX, INT nY, BYTE yCor );
   void mAtrVrPol2D ( INT nX1, INT nY1, INT nX2, INT nY2, INT nX3, INT nY3,
                      INT nX4, INT nY4, BYTE yCor );
   void mAtrVrImagem ( BYTE* payImg, UINT16 uIniX = 0, UINT16 uIniY = 0,
                                     UINT16 uDimX = 320, UINT16 uDimY = 200 );
   void mAtrVdVrSinc ();
};
