/* Declaracoes de grvd.cc
Composicao dos nomes de funcoes graficas:
m - metodo
Atr - atribuicao de valor
Ret - retorno de valor
Vd - acesso direto ao video
?? - outros strings especificos
Sinc - com "WaitRetrace"
Sintaxe: m + Atr/Ret + para onde + de onde ou oque + ?? + com "WaitRetrace"
*/



class CGrVd {

public:

   CGrVd ( BOOL bInicGrVd = FALSE );
   ~CGrVd ();

protected:

   BOOL m_bInicGrVd;       // Se deve executar construtor e destrutor, se
                           // deve iniciar modo grafico.
   // tabelas para salvamento e restauracao da palette
   BYTE m_ayPalR [ 256 ];  // informacao de vermelho dos registradores de cor
   BYTE m_ayPalG [ 256 ];  // informacao de verde dos registradores de cor
   BYTE m_ayPalB [ 256 ];  // informacao de azul dos registradores de cor

   void mAtrVdModo ( UINT16 uModo );
   void mAtrPalCor ( BYTE yCor, BYTE yR, BYTE yG, BYTE yB );
   void mRetPalCor ( BYTE yCor, BYTE& yR, BYTE& yG, BYTE& yB );

public:

   void mSalvaPal ();
   void mRestauraPal ();
   void mAtrPal ( BYTE* ayPalRGB );
   void mAtrVdCorSinc ( BYTE yCor );
   void mAtrVdPixel ( INT nX, INT nY, BYTE yCor );
   void mVdSincRetraco ();
};
