/* Declaracoes de sr.cc */



class CSR {

public:

   CSR ();
   CSR ( INT16 nXO, INT16 nYO, INT16 nZO );
   CSR ( INT16 nXO, INT16 nYO, INT16 nZO,
         float fXi, float fYi, float fZi,
         float fXj, float fYj, float fZj,
         float fXk, float fYk, float fZk );

public:

   // origem do sistema de coordenadas
   INT16 m_nXO;
   INT16 m_nYO;
   INT16 m_nZO;

   // vetores que definem a base do sistema de coordenadas
   float m_fXi;            // vetor i
   float m_fYi;
   float m_fZi;
   float m_fXj;            // vetor j
   float m_fYj;
   float m_fZj;
   float m_fXk;            // vetor k
   float m_fYk;
   float m_fZk;

   void operator >> ( CSolido& oS );
   void mAplica ( CSolido& oS, CSolido& oSTr );
   void mAplica ( float& fX, float& fY, float& fZ );
   void mAtrOrigem ();
   void mAplicaBase ( CSolido& oS, CSolido& oSTr );
   void mAplicaBase ( float& fX, float& fY, float& fZ );
   void mAtrOrigemBase ();
};
