/* Declaracoes de transf.cc */



class CTransf {

public:

   CTransf ();

private:

   INT   m_anSeno [ NANGS ]; // tabela interna de senos, ponto fixo 16.16
   INT   m_anCoss [ NANGS ]; // tabela interna de cossenos, ponto fixo 16.16
   float m_afSeno [ NANGS ]; // tabela interna de senos, ponto flutuante
   float m_afCoss [ NANGS ]; // tabela interna de cossenos, ponto flutuante

public:

   void mRotaciona ( BYTE yAXY, BYTE yAXZ, BYTE yAYZ, CUniverso& oU, UINT16 uParte = 0 );
   void mRotaciona ( BYTE yAXY, BYTE yAXZ, BYTE yAYZ, CSolido& oS );
   void mRotacionaAbs ( BYTE yAXY, BYTE yAXZ, BYTE yAYZ, CSR& oSR );
   void mTranslada ( INT16 nTX, INT16 nTY, INT16 nTZ, CSolido& oS );
   void mTranslada ( INT16 nTX, INT16 nTY, INT16 nTZ, CUniverso& oU, UINT16 uParte = 0 );
   void mEscala ( float fEX, float fEY, float fEZ, CUniverso& oU, UINT16 uParte = 0 );
};
