/* Declaracoes de universo.cc */



class CUniverso : public CSolido {

public:

   CUniverso ();
   CUniverso ( char* szArq ) : CSolido ( szArq )
   {
      CArquivo3D
         oArq ( szArq, *this );
   }
   CUniverso ( char* szArq, CArquivo3D& oArq ) : CSolido ( szArq, oArq )
   {
      oArq.mRetObjeto ( szArq, *this );
   }
   ~CUniverso ();

private:

   UINT16 m_uMaxPartes;     // numero maximo de particoes

public:

   UINT16 m_uNumPartes;     // numero de partes definidas atualmente
   // tabelas com indices inicial e final dos vertices de cada particao
   UINT16* m_pauPaIni;
   UINT16* m_pauPaFim;

   void mAlocaMemoria ( UINT16 uMaxPa );
   void mAtrParte ( UINT16 uIni, UINT16 uFim );
   UINT16 mRetMaxPartes ();
};
