/* Declaracoes de arquivo.cc */



class CArquivo {

public:

   CArquivo ();
   CArquivo ( char* szNome, char* szExt, char* szModo );
   ~CArquivo ();

protected:

   char m_szNomeArq [ 200 ];     // nome do arquivo atualmente acessado
   FILE* m_pfArq;                // arquivo em acesso
   UINT16 m_uNivelComento;       // nivel dos /**/ de comentario

   void  mAbreArquivo ( char* szNome, char* szExt, char* szModo );
   void  mFechaArquivo ();
   BOOL  mRetExisteArquivo ( char* szArq );
   BOOL  mRetStr ( char* szLinha, BOOL bAborta = FALSE );
   INT16 mRetInt ();
   BOOL  mRetLinha ( char* szStr, INT nComp );
   BOOL  mRetMem ( UINT uNum, void* pvMem );
   BOOL  mAtrStr ( char* szStr );
   BOOL  mAtrInt ( INT16 nN, BOOL bSinal = TRUE );
   void  mAtrLinha ( char* szStr );
   BOOL  mAtrMem ( UINT uNum, void* pvMem );
   BOOL  mProcuraStr ( char* szStr );
   void  mPosIni ( INT nPos = 0 );
   void  mPosAtual ( INT nPos );
   void  mPosFim ( INT nPos = 0 );
};
