/* Declaracoes de damas.cc */



class CDamas {

public:

   CDamas ( char* szArq );

private:

   CTransf m_oTransf;        // transformacoes 3D
   CRender m_oRender;        // criacao de imagem 3D
   CUniverso m_oJogo;        // tabuleiro e pecas, SRU
   CSolido m_oS;             // tabuleiro e pecas que compoem cada frame, SRC
   CControle m_oCtrl;        // controle das pecas
   CControleSolido m_oCS;    // manipulacao do modelo usado a cada frame
   CControleUniverso m_oCT;  // manipulacao do modelo original
   CSR m_oSRC;               // sistema de referencia da camera
   BYTE m_yAngXY;
   BYTE m_yAngXZ;
   BYTE m_yAngYZ;

   BOOL mControleUsuario ();
   void mReposiciona ( BOOL bAnim = FALSE );
   void mMove ( UINT16 uPeca, INT16 nPosLin, INT16 nPosCol );
   void mMoveAnim ( UINT16 uPeca, INT16 nPosLin, INT16 nPosCol );
   void mExibe ();
   void mDamifica ( UINT16 uPeca );
   UINT16 mRetParticao ( UINT16 uPeca );
   UINT16 mRetPol1 ( UINT16 uPeca );
   void mAtrCor ( UINT16 uPeca, BYTE yCor );
   void mRetardaExec ();
   BOOL mRetTeclou ( BYTE yTecla );

public:

   void mExec ();
};
