/* Declaracoes de render.cc */



class CRender {

public:

   CRender ();

protected:

   INT m_anPrj [ MAXZ - MINZ + 1 ]; // tabela interna com Z projetado, 16.16

   CGr m_oGr;              // funcoes graficas de video
   CControleSolido m_oC;   // para alterar dados do objeto a ser renderizado
   CImagem* m_poMasc;      // imagem usada para complementar tela
   CSolido* m_poS;         // objeto a ser renderizado, no SRC
   CImagem* m_poI;         // objeto imagem bitmap a ser renderizado

   UINT16 m_uPosMascX;     // posicao X da mascara na tela
   UINT16 m_uPosMascY;     // posicao Y da mascara na tela
   INT16 m_nIX;     // componente x do vetor de iluminacao
   INT16 m_nIY;     // componente y do vetor de iluminacao
   INT16 m_nIZ;     // componente z do vetor de iluminacao
   INT16 m_nNX;     // componente x do vetor normal ao poligono em teste
   INT16 m_nNY;     // componente y do vetor normal ao poligono em teste
   INT16 m_nNZ;     // componente z do vetor normal ao poligono em teste
   float m_fModI;   // modulo (comprimento) do vetor de iluminacao
   float m_fModV;   // modulo do vetor normal ao poligono em teste
   // tabelas de vertices projetados e transladados
   INT16* m_panX2D;            // componentes x dos vertices do solido
   INT16* m_panY2D;            // componentes y dos vertices do solido

   BYTE mRetSupVisivel ();
   INT16 mRetCorP ( UINT16 uPol );
   INT16 mRetCorN ( UINT16 uPol );
   INT16 mRetCorZ ( UINT16 uPol );

public:

   void mAtrIlum ( INT16 nVX, INT16 nVY, INT16 nVZ );
   void mAtrObjeto ( CSolido &oS );
   void mAtrObjeto ( CImagem &oI );
   void mCriaMarcara ( char* szArq );
   void mDestroiMarcara ();
   void mRenderPixels ( BYTE yCor );
   void mRenderPoligonos ();
   void mRenderImagem ();
   void mFimRenderImagem ();
   void mCriaMascara ( CImagem& oI, UINT16 uPosX, UINT16 uPosY );
   void mDestroiMascara ();
};
